kind: pipeline
type: docker
name: default

steps:
  - name: build
    when: 
      event:
        - push
        - pull_request
    image: denoland/deno:alpine-1.40.2
    commands:
      - deno task build

  - name: publish
    when: 
      event:
        - push
      branch:
        - main
    image: appleboy/drone-scp
    settings:
      host: 10.7.6.1
      port: 22
      username:
        from_secret: ps_ssh_user
      key:
        from_secret: ps_ssh_key
      source:
        - ./_site/*
      target: /srv/www/miom.space
      overwrite: true
      strip_components: 1
